Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.xpath
Class VariableRefToken

    java.lang.Object
      com.novell.xml.xpath.Token
          com.novell.xml.xpath.VariableRefToken

    public class VariableRefToken

extends Token

class representing a variable reference token in the XPath expression language

See Also:
  `Scanner`

Field Summary

Fields inherited from class com.novell.xml.xpath.Token
`AT, AXIS_NAME, COLON_COLON, COMMA, DOT, DOT_DOT, FUNCTION_NAME, LEFT_BRACKET, LEFT_PAREN, LITERAL, MAX_TYPE, NODE_TYPE, NOT_A_TOKEN, NUMBER, OPERATOR, RIGHT_BRACKET, RIGHT_PAREN, VARIABLE_REF, WILDCARD_NAME`

Constructor Summary
`VariableRefToken(String prefix, String localPart)` Construct a token representing the variable reference

Method Summary
`boolean` | `equals(Token rhs)` Compare this Token to passed Token
`String` | `getLocalPart()` Return local-part of variable name
`String` | `getPrefix()` Return prefix part of variable name
`String` | `toString()` Return text representing this VariableRefToken

Methods inherited from class com.novell.xml.xpath.Token
`dump, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VariableRefToken

    public VariableRefToken(String prefix,
                            String localPart)

  Construct a token representing the variable reference

  Parameters:
    `prefix` - Namespace prefix string
    `localPart` - Local name string
  See Also:
    XML Names

Method Detail

### equals

    public boolean equals(Token rhs)

  Compare this Token to passed Token

  Overrides:
    `equals` in class `Token`
  Parameters:
    `rhs` - Token to compare against
  Returns:
    true if this Token equals rhs Token

### toString

    public String toString()

  Return text representing this VariableRefToken

  Overrides:
    `toString` in class `Token`
  Returns:
    String representing this Token

### getPrefix

    public String getPrefix()

  Return prefix part of variable name

  Returns:
    The QName prefix

### getLocalPart

    public String getLocalPart()

  Return local-part of variable name

  Returns:
    string containing variable name (does NOT include the "$" reference character)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD